AntiFeatures:
  - NonFreeNet
Categories:
  - Connectivity
  - System
License: GPL-3.0-only
AuthorName: fm-sys
SourceCode: https://github.com/fm-sys/snapdrop-android
IssueTracker: https://github.com/fm-sys/snapdrop-android/issues
Translation: https://crowdin.com/project/snapdrop-android
Changelog: https://github.com/fm-sys/snapdrop-android/releases

AutoName: Snapdrop

RepoType: git
Repo: https://github.com/fm-sys/snapdrop-android

Builds:
  - versionName: 1.7.0
    versionCode: 12
    commit: v1.7.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.7.1
    versionCode: 13
    commit: d7b62c66589084aa44a0c6449f9fda6539712fdb
    subdir: app
    gradle:
      - yes

  - versionName: 1.8.0
    versionCode: 14
    commit: 05b063eb73ade02994135c959f56782e1f8c3669
    subdir: app
    gradle:
      - yes

  - versionName: 1.8.3
    versionCode: 17
    commit: a0eb43489ca01a949e4ad893c803fb35df22a576
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.9.0
    versionCode: 18
    commit: 71a339ffc5b294f1c13c49f39f94530319330c43
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.9.1
    versionCode: 20
    commit: 06918584c92a186df36886aa8fcfc2fe1e7c13c9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.9.2
    versionCode: 21
    commit: 7554058cec36945bfda9b35340f18fb38cdf9ae3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.9.3
    versionCode: 22
    commit: 6c625f35196ddf784837fc6bdb3591fac8fb6347
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.10.0
    versionCode: 24
    commit: 1163d6e04e1dd85c6d09d8b8472429361920cfa9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.10.1
    versionCode: 25
    commit: 8e034089413da6dbb14729cbcbfced992ba32703
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.11.0
    versionCode: 26
    commit: d81d8d078e05ac1dc6ad482caf0fabb7810371aa
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.11.0
CurrentVersionCode: 26
